
Installer - Bug #8944

rename facts parameter in foreman puppet module

01/13/2015 06:38 PM - Greg Petras

Status: Closed   

Priority: Normal   

Assignee: Greg Petras   

Category: Foreman modules   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-for

eman/pull/270

  

Description

$facts is a reserved keyword when trusted_node_data = true

See the following links for more info:

https://docs.puppetlabs.com/puppet/latest/reference/lang_reserved.html

https://docs.puppetlabs.com/puppet/latest/reference/config_important_settings.html#getting-new-features-early

Related issues:

Blocks Installer - Bug #8915: The foreman-installer script exits without usef... Duplicate 01/12/2015

Associated revisions

Revision 022b8194 - 01/14/2015 04:53 PM - Greg Petras

fixes #8944 - renaming facts parameter to receive_facts

Revision 885a3086 - 01/14/2015 05:18 PM - Greg Petras

fixes #8944 - rename facts parameter

History

#1 - 01/13/2015 07:42 PM - Anonymous

- Blocks Bug #8915: The foreman-installer script exits without useful information when trusted_node_data = true added

#2 - 01/13/2015 07:43 PM - Anonymous

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-foreman/pull/270 added

- Pull request deleted ()

#3 - 01/14/2015 05:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset puppet-foreman|022b81940b9c0bf27f7620916bd24adb1919aede.
